
Redmine - Defect #34743

Hooks for queries helper

2021-02-14 08:06 - Alexander Meindl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Hook requests Estimated time: 0.00 hour

Target version: 5.0.0   
Description

Plugin developers very often overwrite queries helper column_value and column_content.

The problem is, that there two ways to overwrite it: prepend and alias_method. There is a conflict if one plugin uses prepend and the

other plugin uses alias_method for the same method.

More and more plugins do not work together because of this reason. Because of this, there should be a better way to solve this wish

to overwrite.

I added a patch to introduce two hooks, which could be used by plugin develops. With this approach there is no need for overwriting

this method anymore.

Associated revisions

Revision 21068 - 2021-07-14 16:02 - Go MAEDA

Hooks for queries helper (#34743).

Patch by Alexander Meindl.

History

#1 - 2021-02-15 02:53 - Go MAEDA

Alexander Meindl wrote:

Plugin developers very often overwrite queries helper column_value and column_content.

 Could you show me some plugins that do that?

#2 - 2021-02-15 06:36 - Alexander Meindl

Hi Go MAEDA,

thanks for responding.

Here is a list of some plugins which overwrites query helper methods:

redmine_multiprojects_issue

redmine_checklists

additional_tags (with conflict issue for more information)

redmine_contacts_helpdesk

redmineup_tags

#3 - 2021-02-18 14:19 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2021-05-08 17:19 - Chris Lockwood

Hi Go MAEDA

Can anything be done to bring forward the integration of this patch?  This has the potential to solve a fairly sizable problem hampering plugin

developers, and users of those plugins alike.

Quickly perusing what is listed in Candidate for next major release and it seems like many enhancements simply go there to die, numerous patches
https://github.com/nanego/redmine_multiprojects_issue
https://www.redmine.org/plugins/redmine_checklists
https://www.redmine.org/plugins/additional_tags
https://github.com/AlphaNodes/additional_tags/issues/9
https://www.redmine.org/plugins/redmine_contacts_helpdesk
https://www.redmine.org/plugins/redmineup_tags
https://www.redmine.org/versions/32


are 5+ years old.  Please do reconsider whether this solution can be safely implemented within the next minor release.

#5 - 2021-07-11 05:01 - Go MAEDA

- File 34743-v2.patch added

- Target version changed from Candidate for next major release to 5.0.0

Adjusted indentation to conform with the current coding style of Redmine.

Setting the target version to 5.0.0.

#6 - 2021-07-14 16:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#7 - 2021-11-05 05:13 - Go MAEDA

- Subject changed from Hooks  for queries helper to Hooks for queries helper

#8 - 2022-12-21 06:40 - Dimitar (RedmineUP)

Hi Alexander,

This is Dimitar from the RedmineUP Support Team.

Just for information, as a note, all our plugins are compatible with Redmine 5+ :)

Screenshot reference (by now the latest Redmine version is the one from the screenshot below ---> 5.0.4 stable):

 5pekNBw.png 

If there are any problems with the compatibility (or any other questions) with the RedmineUP plugins, please feel free to contact us at 

support@redmineup.com. Thanks.

Alexander Meindl wrote:

Hi Go MAEDA,

thanks for responding.

Here is a list of some plugins which overwrites query helper methods:

redmine_multiprojects_issue

redmine_checklists

additional_tags (with conflict issue for more information)

redmine_contacts_helpdesk

redmineup_tags

#9 - 2022-12-21 06:50 - Alexander Meindl

Dimitar Chervenakov wrote:

Hi Alexander,

This is Dimitar from the RedmineUP Support Team.

Just for information, as a note, all our plugins are compatible with Redmine 5+ :)

 Hi Dimitar,

this issue is not about Redmine 5 compatibility, it is about prepend and alias_method incompatibility. If every plugin would use the more modern way

with prepend, a lot of problems with compatibility would be solved. Sadly Redmineup plugins stick to alias_method.

Files

queries_helper.patch 3.87 KB 2021-02-14 Alexander Meindl
34743-v2.patch 3.63 KB 2021-07-11 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-07-04 3/3

http://www.tcpdf.org

